#!/bin/sh
file="eui-mac-ip-$(date +%Y%m%d)"
gethost() { local ip=$1 ;
  echo $ip | sed s/10\.0\.0\./kerlink/
}
getpass() { local eui=$1 ;
  suffix=$(echo $eui | sed s/..........//)
  echo "pdmk-$suffix"
}

(
	echo '[all]'
	cat $file | while read eui mac ip ; do
		echo $(gethost $ip) ansible_host=$ip ansible_password=$(getpass $eui)
	done
) | tee hosts
